Mandate status change notification
Sent to the notification URL provided during mandate creation.
| Type | Description |
|---|---|
mandate_requested | Mandate has been proposed to the payer |
mandate_authorised | Payer authorised the mandate |
mandate_declined | Payer declined the mandate |
mandate_authorisation_abandoned | Mandate authorisation timed out |
mandate_suspended | Mandate was suspended |
mandate_released | Suspended mandate released back to ACTIVE |
mandate_cancelled | ACTIVE or SUSPENDED mandate was cancelled |
mandate_expired | Mandate reached end of validity |
mandate_consumed | ONE_OFF mandate was consumed |
mandate_failed | Mandate processing failed |
Header Parameters
Content type.
"application/json"User agent.
"Volt/2.0"Timestamp of notification generation.
Notification signature.
Type of mandate notification.
"mandate_requested" | "mandate_authorised" | "mandate_declined" | "mandate_authorisation_abandoned" | "mandate_suspended" | "mandate_released" | "mandate_cancelled" | "mandate_expired" | "mandate_consumed" | "mandate_failed"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Example Requests
/Mandate status changeCreate recurring payment POST
Initiate payment based on an existing `ACTIVE` mandate.
Amendment status change notification Webhook
Sent to the notification URL provided during mandate creation. | Type | Description | |-------|-------------| | `mandate_amendment_requested` | Amendment request submitted to the provider | | `mandate_amended` | Amendment approved and applied. `BILATERAL`: payer approved. `UNILATERAL`: auto-approved | | `mandate_amendment_declined` | Payer declined the amendment | | `mandate_amendment_request_abandoned` | Amendment request timed out | | `mandate_amendment_failed` | Amendment processing failed |